Get Wikipedia title suggestions
Get title suggestions for a fragment on a Wikipedia edition.
Headers
Get your API keyAPI key (`sfk_...`)
Title fragment to autocomplete.
min 1 chars · max 300 chars
Wikimedia edition code, e.g. `en`, `de`, `ja`, `simple` or `zh-min-nan`. Default: `en`.
Suggestions per page, 1 to 100. Default: 10.
≥ 1 · ≤ 100
Cursor from `page.nextCursor` of the previous response. It only works with the same filters.
min 1 chars · max 2048 chars
Endpoint-specific response payload.
Whether the entity, page or data set exists. A missing entity is `not_found`; an existing entity with no rows is `found` with `empty: true`.
one of: found, not_found
Edition code.
The title fragment.
Titles that start with the fragment.
Namespace id.
Suggested title.
Page id.
Pagination state. `nextCursor` is null on the last page.
Whether another page is available.
Cursor to pass in the next request when more pages exist; null on the last page.
Whether the answer is a valid empty result rather than missing.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/wikipedia/search/suggest?query=Albert" \
-H "x-api-key: YOUR_API_KEY"Responses
Get Wikipedia title suggestions